Summary: Tool for decoding raw image data from digital cameras
Name:    dcraw
Version: 9.28.0
Release: 5%{?dist}
License: GPLv2+
URL: http://www.dechifro.org/dcraw
Source0: %{url}/archive/dcraw-%{version}.tar.gz

Patch3000: dcraw-9.21-lcms2-error-reporting.patch
Patch3001: dcraw-CVE-2018-5801.patch
Patch3002: dcraw-CVE-2017-13735.patch
Patch3003: dcraw-CVE-2017-14608.patch
Patch3004: dcraw-CVE-2018-19655.patch

BuildRequires: gcc gettext libjpeg-devel lcms2-devel jasper-devel
Provides: bundled(dcraw)

%description
This package contains dcraw, a command line tool to decode raw image data downloaded from digital cameras.

%prep
%autosetup -n dcraw

%build
%{__cc} %optflags $RPM_LD_FLAGS \
    -Wl,--no-as-needed \
    -lm -ljpeg -llcms2 -ljasper \
    -DLOCALEDIR="\"%{_datadir}/locale\"" \
    -o dcraw dcraw.c

for catsrc in dcraw_*.po; do
    lang="${catsrc%.po}"
    lang="${lang#dcraw_}"
    msgfmt -o "dcraw_${lang}.mo" "$catsrc"
done

%install
install -Dm 0755 dcraw %{buildroot}%{_bindir}/dcraw

for catalog in dcraw_*.mo; do
    lang="${catalog%.mo}"
    lang="${lang#dcraw_}"
    install -Dm 0644 "$catalog" "%{buildroot}%{_datadir}/locale/${lang}/LC_MESSAGES/dcraw.mo"
done

install -Dm 0644 dcraw.1 %{buildroot}%{_mandir}/man1/dcraw.1

rm -f %{name}-man-files
touch %{name}-man-files
for manpage in dcraw_*.1; do
    lang="${manpage%.1}"
    lang="${lang#dcraw_}"
    install -Dm 0644 "${manpage}" "%{buildroot}%{_mandir}/${lang}/man1/dcraw.1"
    echo "%%lang($lang) %%{_mandir}/${lang}/man1/*" >> %{name}-man-files
done

%find_lang %{name}

%files -f %{name}.lang -f %{name}-man-files
%{_bindir}/dcraw
%{_mandir}/man1/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9.28.0-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Aug 18 2023 cunshunxia <cunshunxia@tencent.com> - 9.28.0-4
- Rebuilt for jasper-libs 4.0.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9.28.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9.28.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 8 2023 Shuo Wang <abushwang@tencent.com> - 9.28.0-1
- initial build
